org.apache.xmlbeans.impl.common

## Interface ValidatorListener

- All Known Implementing Classes:
    Validator

      public interface ValidatorListener

  First event must be a BEGIN with no name (to communicate any xsi information). BEGIN and END need to match.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ValidatorListener.Event`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ATTR`
    `static int` | `BEGIN`
    `static int` | `END`
    `static int` | `ENDATTRS`
    `static int` | `TEXT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `nextEvent(int kind, ValidatorListener.Event event)`

- - ### Field Detail

    - #### BEGIN

          static final int BEGIN

      See Also:
        Constant Field Values

    - #### END

          static final int END

      See Also:
        Constant Field Values

    - #### TEXT

          static final int TEXT

      See Also:
        Constant Field Values

    - #### ATTR

          static final int ATTR

      See Also:
        Constant Field Values

    - #### ENDATTRS

          static final int ENDATTRS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### nextEvent

          void nextEvent(int kind,
                         ValidatorListener.Event event)